package openvswitch-controller 1.1.0~pre2.g2.ea763e0e-1ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #822142 reported by Jibesh Patra on 2011-08-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openvswitch (Ubuntu)
Medium
Marc Cluet
Natty
Medium
Marc Cluet
Oneiric
Medium
Marc Cluet

Bug Description

Currently I can't install any more softwares

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: openvswitch-controller 1.1.0~pre2.g2.ea763e0e-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic-pae 2.6.38.7
Uname: Linux 2.6.38-10-generic-pae i686
NonfreeKernelModules: fglrx wl
AptOrdering:
 youtube-dl: Install
 openvswitch-controller: Configure
 youtube-dl: Configure
Architecture: i386
Date: Sun Aug 7 08:24:11 2011
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
SourcePackage: openvswitch
Title: package openvswitch-controller 1.1.0~pre2.g2.ea763e0e-1ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

=== SRU ===
IMPACT: In some situations, openvswitch-controller will fail to start due to the lack of a directory with correct permissions under /var/run

RESOLUTION: Modify the init script in order to

PATCH: http://bazaar.launchpad.net/~lynxman/ubuntu/natty/openvswitch/lp_822142/revision/15

TEST CASE:
Make sure the directory /var/run/openvswitch does not exist.
Install package openvswitch-controller.
Witness SERVFAIL fail to start.

DISCUSSION:
This case was reported upstream and patched as noted in this mail http://openvswitch.org/pipermail/dev/2011-August/010336.html

Related branches

Jibesh Patra (jibesh-patra) wrote :
Ursula Junque (ursinha) wrote :

From log:

Setting up openvswitch-controller (1.1.0~pre2.g2.ea763e0e-1ubuntu2) ...
 * Starting ovs-controller ovs-controller  Aug 07 08:24:11|00001|stream_ssl|INFO|Trusting CA cert from /etc/openvswitch-controller/cacert.pem (/C=US/ST=CA/O=Open vSwitch/OU=switchca/CN=OVS switchca CA Certificate (2011 Jul 28 23:25:18)) (fingerprint ...)
Aug 07 08:24:11|00002|daemon|ERR|/var/run/openvswitch/ovs-controller.pid.tmp3900: create failed: No such file or directory
ovs-controller: could not initialize control socket /var/run/openvswitch/ovs-controller.3900.ctl (No such file or directory)
[fail]

invoke-rc.d: initscript openvswitch-controller, action "start" failed.
dpkg: error processing openvswitch-controller (--configure):
 subprocess installed post-installation script returned error exit status 1

Ben Pfaff (blp-nicira) wrote :

I sent the following bugfix patch to ovs-dev for review: http://openvswitch.org/pipermail/dev/2011-August/010334.html

Anyone who is running into the problem can for now just "mkdir /var/run/openvswitch".

It's now working great. :-)
Jibesh Patra

God bless thee; and put meekness in thy mind, love, charity, obedience, and
true duty!
        William Shakespeare

On Mon, Aug 8, 2011 at 11:27 PM, Ben Pfaff <email address hidden>wrote:

> I sent the following bugfix patch to ovs-dev for review:
> http://openvswitch.org/pipermail/dev/2011-August/010334.html
>
> Anyone who is running into the problem can for now just "mkdir
> /var/run/openvswitch".
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/822142
>
> Title:
> package openvswitch-controller 1.1.0~pre2.g2.ea763e0e-1ubuntu2 failed
> to install/upgrade: subprocess installed post-installation script
> returned error exit status 1
>
> Status in “openvswitch” package in Ubuntu:
> New
>
> Bug description:
> Currently I can't install any more softwares
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.04
> Package: openvswitch-controller 1.1.0~pre2.g2.ea763e0e-1ubuntu2
> ProcVersionSignature: Ubuntu 2.6.38-10.46-generic-pae 2.6.38.7
> Uname: Linux 2.6.38-10-generic-pae i686
> NonfreeKernelModules: fglrx wl
> AptOrdering:
> youtube-dl: Install
> openvswitch-controller: Configure
> youtube-dl: Configure
> Architecture: i386
> Date: Sun Aug 7 08:24:11 2011
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 1
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: openvswitch
> Title: package openvswitch-controller 1.1.0~pre2.g2.ea763e0e-1ubuntu2
> failed to install/upgrade: subprocess installed post-installation script
> returned error exit status 1
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/822142/+subscriptions
>

Dave Walker (davewalker) wrote :

Patch seems to have been applied upstream.

Thanks.

Changed in openvswitch (Ubuntu Natty):
status: New → Triaged
Changed in openvswitch (Ubuntu Oneiric):
status: New → Triaged
Changed in openvswitch (Ubuntu Natty):
importance: Undecided → Medium
Changed in openvswitch (Ubuntu Oneiric):
importance: Undecided → Medium
tags: added: server-o-rs
Marc Cluet (lynxman) wrote :
Changed in openvswitch (Ubuntu Oneiric):
assignee: nobody → Marc Cluet (lynxman)
status: Triaged → Fix Committed
Marc Cluet (lynxman) on 2011-08-23
Changed in openvswitch (Ubuntu Oneiric):
status: Fix Committed → In Progress
Marc Cluet (lynxman) on 2011-08-24
Changed in openvswitch (Ubuntu Oneiric):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 1.2.0-1ubuntu2

---------------
openvswitch (1.2.0-1ubuntu2) oneiric; urgency=low

  * Fix on openvswitch-controller.init (LP: #822142)
    - Make sure we have a directory under /var/run to create the
      pidfile for openvswitch-controller, backported from upstream
 -- Marc Cluet <email address hidden> Tue, 23 Aug 2011 16:07:49 +0100

Changed in openvswitch (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Marc Cluet (lynxman) on 2011-08-26
Changed in openvswitch (Ubuntu Natty):
assignee: nobody → Marc Cluet (lynxman)
status: Triaged → In Progress
Marc Cluet (lynxman) on 2011-09-07
description: updated
description: updated
Marc Cluet (lynxman) wrote :

Added SRU description, attached bzr diff and subscribed SRU and Sponsors team

Clint Byrum (clint-fewbar) wrote :

Uploaded SRU to natty-proposed. Unsubscribed ubuntu-sponsors. Thanks Marc!

Hello Jibesh, or anyone else affected,

Accepted openvswitch into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in openvswitch (Ubuntu Natty):
status: In Progress → Fix Committed
tags: added: verification-needed
dino99 (9d9) on 2013-05-18
Changed in openvswitch (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers